Kerbal Space Program - Bug #3988

Advanced Grabbing Unit Loss of reference to parent ship
01/25/2015 11:27 AM - MajorTom

Status: Closed Start date: 01/25/2015
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Related issues:

Related to Kerbal Space Program - Bug #3531: Attatching two kerbals via claws... Duplicate 11/17/2014
Related to Kerbal Space Program - Bug #3421: Grabbing an object with the claw... Duplicate 11/03/2014
Related to Kerbal Space Program - Bug #2881: Controlling claw dockee throws N... Closed 08/28/2014
Related to Kerbal Space Program - Bug #2367: Nonphysical timewarp causes phan... Closed 04/07/2014
Related to Kerbal Space Program - Bug #5264: NPE caused by connecting active ... Duplicate 07/24/2015
History

#1 - 01/25/2015 11:37 AM - MajorTom

- Status changed from New to Need More Info

On my new moonbase | have two rovers that attach via Advanced Grabbing Units. One of them refuses to detach, but selecting the detach option
causes the part to which it is latched to become disconnected and stop responding to gravity. After which the rover in question is no longer physically
bound save for a cubic octagonal strut which remains fixed in respect to the station(in both cases). The two rovers are not released from control
however and seem to calculate their RCS thrust with the that of the base, causing them to fly off in a given direction. Rovers cannot be controlled
independantly. Bug is 100% consistent, | have attached the save file the base is titled "Moonbase Alpha" | can also post screenshots if images are
supported. One of the claws will detach from both rover and base and will not respond to gravity, will also not act as though detached otherwise. Still
controllable from parent craft.

Mechanical Jeb and StageRecovery installed, no other mods.

#2 - 07/25/2015 12:24 AM - Squelch

- Related to Bug #5264: NPE caused by connecting active vessel to non-active vessel klaw added

#3 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 12/08/2015 01:20 AM - Squelch

I'm afraid | was never able to load your save due to vessels failing to load. This was because of missing parts from the installed mods.

This problem has potentially been fixed in 1.0.5. Please could you retest in the latest version and report back?

#5 - 07/17/2016 09:40 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#6 - 08/09/2016 11:30 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

persistent.sfs 1.97 MB 01/25/2015 MajorTom
